Skip to main content
Version: 15.2.0

Soisy

In this page you will find the required information to perform REST calls related to the Soisy payment provider.

Payment MethodPaymentRefundAutomatic SubscriptionManual Subscription
soisy ✓
Enabled
Pay By Link✗

Endpoints​

Every Soisy endpoint has this prefix path /v3/soisy.

Pay​

POST /{payment-method}/pay

This endpoint allows to execute payments via the Soisy payment provider.

The request body may have the providerData structured as follows (no field is required):

  • email
  • firstname
  • lastname
  • instalments (integer)
  • vatId
  • vatCountry
  • fiscalCode
  • mobilePhone
  • city
  • province
  • address
  • civicNumber
  • postalCode
  • zeroInterestRate (boolean)

The payment response can only have the REDIRECT_TO_URL result code: the payment creation was successful (the buyer should be redirected to complete the payment).

Status​

GET /status?paymentId={paymentId}

This endpoint allows to get the current status of the payment identified by the required query parameter paymentId.

Mapping​

The status received by the provider will be mapped according to the following table:

Provider StatusPlugin Status
DISBURSEDACCEPTED
CANCELEDFAILED
QUOTEPENDING
REQUEST_APPROVEDPENDING
REQUEST_RECEIVEDPENDING
WAITING_FOR_VERIFICATIONPENDING
WAITING_FOR_DISBURSEMENTPENDING

Everything else will be mapped as FAILED.

Check​

GET /check?paymentId={paymentId}

This endpoint allows to get the current status of the payment identified by the required query parameter paymentId and also send a notification to the external service as specified by PAYMENT_CALLBACK_URL environment variable.

Callback​

POST /callback

This endpoint should only be called by Soisy.